Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.defaults
Class DefaultMultipleConstructorTestCase

    java.lang.Object
      org.picocontainer.tck.AbstractMultipleConstructorTest
          org.picocontainer.defaults.DefaultMultipleConstructorTestCase

    public class DefaultMultipleConstructorTestCase

extends AbstractMultipleConstructorTest

Author:
  Aslak Hellesøy

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.tck.AbstractMultipleConstructorTest
`AbstractMultipleConstructorTest.Multi, AbstractMultipleConstructorTest.One, AbstractMultipleConstructorTest.Three, AbstractMultipleConstructorTest.Two`

Constructor Summary
`DefaultMultipleConstructorTestCase()`

Method Summary
`protected org.picocontainer.MutablePicoContainer` | `createPicoContainer()`
`void` | `testEclipseDummy()`

Methods inherited from class org.picocontainer.tck.AbstractMultipleConstructorTest
`testMultiWithBothSatisfiedDependencyWorks, testMultiWithOnlySmallSatisfiedDependencyWorks, testMultiWithSatisfyingDependencyAndParametersWorks, testMultiWithTwoEquallyBigSatisfiedDependenciesFails, testStringWorks`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultMultipleConstructorTestCase

    public DefaultMultipleConstructorTestCase()

Method Detail

### createPicoContainer

    protected org.picocontainer.MutablePicoContainer createPicoContainer()

  Specified by:
    `createPicoContainer` in class `AbstractMultipleConstructorTest`

### testEclipseDummy

    public void testEclipseDummy()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.